Bug 1344061 - "Technology Preview" is in /etc/redhat-release RHEV-H-NG 4.0 beta build
Summary: "Technology Preview" is in /etc/redhat-release RHEV-H-NG 4.0 beta build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.0.0-rc
: 4.0.0
Assignee: Fabian Deutsch
QA Contact: Ying Cui
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 15:55 UTC by Ying Cui
Modified: 2016-08-23 21:07 UTC (History)
2 users (show)

Fixed In Version: ovirt-node-ng-installer-ovirt-4.0-20160608
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 21:07:47 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1702 normal SHIPPED_LIVE redhat-virtualization-host bug fix and enhancement update for RHV 4.0 2016-08-24 00:35:27 UTC

Description Ying Cui 2016-06-08 15:55:07 UTC
Description
"Technology Preview" is in /etc/redhat-release which is RHEV-H-NG 4.0 public beta 1 build not tech preview build.

Test steps:
1. Installed RHEV-H-NG 4.0 public beta 1 build(rhev-hypervisor7-ng-4.0-20160607.1)
2. Check /etc/redhat-release

# rpm -qa imgbased
imgbased-0.7.0-0.1.el7ev.noarch

# cat /etc/redhat-release
Red Hat Enterprise Linux release 7.2 Technology Preview

# cat /etc/os-release
NAME="Red Hat Enterprise Linux"
VERSION="7.2"
VERSION_ID="7.2"
ID="rhel"
ID_LIKE="fedora"
VARIANT="Red Hat Enterprise Virtualization Hypervisor NG"
VARIANT_ID="ovirt-node"
PRETTY_NAME="Red Hat Enterprise Virtualization Hypervisor NG 4.0"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.2:beta:hypervisorng"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

# FIXME
REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Virtualization"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.2
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Virtualization"
REDHAT_SUPPORT_PRODUCT_VERSION=7.2

# ls -al /etc/redhat-release
-rw-r--r--. 1 root root 56 May 27 13:11 /etc/redhat-release


Actual Result:
"Technology Preview" is in /etc/redhat-release which is RHEV-H-NG 4.0 public beta 1 build not tech preview build.

Expected Result:
Red Hat Enterprise Virtualization Hypervisor NG 7.2 Beta in /etc/redhat-release

Comment 1 Ying Cui 2016-06-08 15:58:03 UTC
It is not functional bug, but it is easy to make the user confuse about RHEV-H NG beta build and technical preview.

Comment 2 Fabian Deutsch 2016-06-08 16:49:52 UTC
Fixed in version field will be populated once a build is there

Comment 3 Ying Cui 2016-06-17 09:27:14 UTC
I reported the new bug 1347621 to trace another issue.

Verified this bug on build rhev-hypervisor7-ng-4.0-20160616.0(imgbased-0.7.0-0.1) 
After rhevh-ng build installation, check /etc/redhat-release, there is no "Technology Preview".

Comment 5 errata-xmlrpc 2016-08-23 21:07:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1702.html


Note You need to log in before you can comment on or make changes to this bug.